Clean up the localization files of WikibaseQuality
Closed, ResolvedPublic

Description

The commit https://gerrit.wikimedia.org/r/#/c/233723/ overwrote the localization files - both the updates in English that were done in the last few months and the existing translations.

This created a lot of mess in translatewiki - a lot of fuzzy messages that shouldn't be fuzzy, etc.

I don't know about the functional changes that that commit does, but the localization changes are definitely wrong and must be reverted and cleaned up ASAP.

Thanks for understanding.

Amire80 created this task.Aug 26 2015, 9:54 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Unbreak Now!.
Amire80 added subscribers: Amire80, JanZerebecki, Raymond.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 9:54 AM

Same problem with https://gerrit.wikimedia.org/r/#/c/233726/ (WikibaseQualityExternalValidation) and https://gerrit.wikimedia.org/r/#/c/233725/ (WikibaseQualityConstraints)

aude added a subscriber: aude.EditedAug 26 2015, 10:48 AM

@Raymond I think we can do reverts for now but then we still need to sort out our branches on these extensions.

This is a student project and v1 was frozen, so that Chris could do security review and then was deployed.

They continued working on master, which has newer features, but we want to now push it to a feature branch, and then have v1 become the master version.

(imho, it was a mistake to do development in this way, with the branches and think we will try to avoid this with future student projects)

I suppose we can retry the merge, including en.json and qqq.json but excluding the other languages. (afaik translate wiki would update the other languages?)

Change 233932 had a related patch set uploaded (by Aude):
Revert "Make master be like v1 by a merge of master into v1 with strategy ours."

https://gerrit.wikimedia.org/r/233932

@aude: yes, please exclude all translations. they will be updated with the next export from translatewiki. Important is that en.json and qqq.json are correct as base for our translators.

Change 233932 abandoned by Aude:
Revert "Make master be like v1 by a merge of master into v1 with strategy ours."

https://gerrit.wikimedia.org/r/233932

Change 233945 had a related patch set (by Aude) published:
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233945

Change 233945 merged by jenkins-bot:
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233945

Change 233965 had a related patch set uploaded (by Aude):
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233965

Change 233959 had a related patch set uploaded (by Aude):
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233959

Change 233959 merged by jenkins-bot:
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233959

Change 233965 merged by jenkins-bot:
Revert i18n files to pre-merge status

https://gerrit.wikimedia.org/r/233965

Can you check if that worked?

JanZerebecki set Security to None.
JanZerebecki moved this task from Backlog to Done on the Wikidata-Sprint-2015-08-18 board.
Amire80 closed this task as Resolved.Aug 30 2015, 10:53 AM
Amire80 claimed this task.

It works. Thanks for fixing!